Package org.eclipse.remote.console

# Class TerminalConsoleUtility

java.lang.Object
org.eclipse.remote.console.TerminalConsoleUtility

public class TerminalConsoleUtility extends Object
A collection of public API utility methods to open consoles to IRemoteConnection objects

Since:
  1.1

## Constructor Summary

Constructors
Constructor
Description
`TerminalConsoleUtility()`

## Method Summary

Modifier and Type
Method
Description
`static List<org.eclipse.ui.console.IConsole>`
`findConsole(IRemoteConnection connection)`
Find an existing console for the given IRemoteConnection
`void`
`openConsole()`
Opens a dialog to allow selection of an IRemoteConnection, encoding, etc.
`static void`
`openConsole(IRemoteConnection connection, String encoding)`
Open a specific IRemoteConnection and encoding combination.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TerminalConsoleUtility

public TerminalConsoleUtility()

## Method Details

### openConsole

public void openConsole()
Opens a dialog to allow selection of an IRemoteConnection, encoding, etc. and then open a console to it.

### openConsole

public static void openConsole(IRemoteConnection connection, String encoding)
Open a specific IRemoteConnection and encoding combination.

Parameters:
  `connection` -
  `encoding` -

### findConsole

public static List<org.eclipse.ui.console.IConsole> findConsole(IRemoteConnection connection)
Find an existing console for the given IRemoteConnection

Parameters:
  `connection` -
Returns: